# -*- encoding : utf-8 -*-

class Admin::IWebsitesController < ApplicationController
  layout "admin"
  before_filter :auth_admin, :except => :preview

  before_filter :admin_space
  
  def admin_space
    @admin_space = "sites"
  end
  

  
  def preview
    @i_website = IWebsite.where(:token => params[:id]).first
    params[:i_task_project_id] = @i_website.id
    @i_tasks = @i_website.i_tasks
    
    #render :template => "admin/i_tasks/index"
    
    @preview = true
    params[:no_detail]= true
  end
  
  
  def index
    @i_websites = IWebsite.joins(:p_customer).order("p_customers.name ASC, p_customers.id ASC, i_websites.name ASC").all

   
  end

  def show
    @i_website = IWebsite.find(params[:id])

    @i_tasks = @i_website.i_tasks

  end

  def new
    
    
		@i_website = IWebsite.new
    

  end

 

  def edit
  
    
    @i_website = IWebsite.find(params[:id])
  end

  def create
    @i_website = IWebsite.new(params.require(:i_website).permit!)


    if @i_website.save
     @i_websites = IWebsite.order("p_customer_id ASC").all
      
    else
      render action: "new"
 
    end

  end


  def update
    @i_website = IWebsite.find(params[:id])


    if @i_website.update_attributes(params.require(:i_website).permit!)
      
       @i_websites = IWebsite.order("p_customer_id ASC").all
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @i_website = IWebsite.find(params[:id])
    @i_website.destroy
    
    
  end
end
